package com.ynet.life.sujrb.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.life.base.LifeAction;
import com.ynet.life.exception.TranFailException;
import com.ynet.life.sujrb.softEncode.Md5SecurityModule;
import java.util.StringTokenizer;
import org.apache.axis.utils.StringUtils;

/* loaded from: com_ynet_life_sujrb_action.jar:com/ynet/life/sujrb/action/MD5EncryptAction.class */
public class MD5EncryptAction extends LifeAction {
    private String userName;
    private String password;
    private String passwordNew;

    public String execute(Context context) throws GENEException {
        if (StringUtils.isEmpty(this.userName) || StringUtils.isEmpty(this.password) || StringUtils.isEmpty(this.passwordNew)) {
            throw new TranFailException("PBPUB002", "MD5加密必输域为空");
        }
        StringTokenizer crSt = new StringTokenizer(this.userName, ",");
        StringTokenizer deSt = new StringTokenizer(this.password, ",");
        StringTokenizer keySt = new StringTokenizer(this.passwordNew, ",");
        while (crSt.hasMoreTokens() && deSt.hasMoreTokens() && keySt.hasMoreTokens()) {
            String crStField = (String) crSt.nextElement();
            String deStField = (String) deSt.nextElement();
            String keyStField = (String) keySt.nextElement();
            String userNameTemp = (String) context.getDataValue(crStField);
            String passwordTemp = (String) context.getDataValue(deStField);
            if (!StringUtils.isEmpty(userNameTemp)) {
                StringUtils.isEmpty(passwordTemp);
            }
            try {
                String passwordNew = Md5SecurityModule.digest(userNameTemp, passwordTemp);
                context.setDataValue(keyStField, passwordNew);
            } catch (Exception unused) {
                throw new TranFailException("PBPUB004", "MD5加密失败");
            }
        }
        return "0";
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public void setPasswordNew(String passwordNew) {
        this.passwordNew = passwordNew;
    }
}
